Name:           mine_detector
Version:        6.0
Release:        3%{?dist}
Summary:        Mine Detector, a mine-finding game
Summary(sv):    Mine Detector, ett minröjningsspel

Group:          Amusements/Games
License:        GPLv2
URL:            http://pragmada.x10hosting.com/mindet.html
Source1:        http://pragmada.x10hosting.com/mine_detector_6.0_src.zip
Source2:        mine_detector.gpr
Source3:        mine_detector.desktop
# The license file was left out from the zipfile by mistake. Source4 corrects
# this mistake. Sources 5 and 6 clarify the situation.
Source4:        mine_detector-license.txt
Source5:        mine_detector-README.Fedora
Source6:        mine_detector-license_clarification.mbox
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gnat PragmARC-devel GtkAda-devel desktop-file-utils

%description
Mine Detector is a mine-finding game with somewhat different rules from other
mine-finding games. Mine Detector rarely requires guessing. Only at the higher
levels may guessing sometimes be the only way to win.

%description -l sv
Mine Detector är ett minröjningsspel med litet annorlunda regler än andra
minröjningsspel. I Mine Detector är det sällan nödvändigt att gissa. Det är
bara på de högre nivåerna som en gissning ibland kan vara det enda sättet att
vinna.


%prep
%setup -c -T
unzip %{SOURCE1}
cp -p %{SOURCE2} .
cp -p %{SOURCE4} license.txt
cp -p %{SOURCE5} README.Fedora
cp -p %{SOURCE6} license_clarification.mbox


%build
# Define ADA_PROJECT_PATH as a workaround until gtkada.gpr can be brought into
# the default project directory.
export ADA_PROJECT_PATH=%{_libdir}/gnat
gnatmake -P mine_detector.gpr %{GNAT_optflags}


%install
rm -rf %{buildroot}
mkdir --parents %{buildroot}%{_bindir}
cp -p mine_detector %{buildroot}%{_bindir}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE3}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc license.txt
%doc README.Fedora
%doc license_clarification.mbox
%{_bindir}/*
%{_datadir}/applications/*


%changelog
* Tue Jan 26 2010 Björn Persson <bjorn@rombobjörn.se> - 6.0-3
- Clarified the license situation.
- All source file names begin with "mine_detector".

* Mon Nov 09 2009 Björn Persson <bjorn@rombobjörn.se> - 6.0-2
- Fixed to link libgnat and libgcc dynamically.

* Sat Aug 08 2009 Björn Persson <bjorn@rombobjörn.se> - 6.0-1
- Updated to version 6.0.
- Dropped the two patches.
- The license was changed in version 6.0 from GPLv2+ to GPLv2.
- Updated the URLs because the PragmAda site moved.

* Thu Jul 23 2009 Björn Persson <bjorn@rombobjörn.se> - 5.0-2
- Added a BuildRoot tag even though it's unnecessary.

* Sun Jun 28 2009 Björn Persson <bjorn@rombobjörn.se> - 5.0-1
- ready to be submitted for review
